import { BroadcastChannelMessage, ServiceName, ServiceStatus, SyncEntryName, SyncProgress } from '../types/services';
declare class BroadcastChannelSender {
    static mockClear(): void;
    private channel;
    static mock: any;
    constructor();
    postServiceStatus(name: ServiceName, status: ServiceStatus, message?: string): void;
    postSyncStatus(status: ServiceStatus, lastError?: string): void;
    postSyncEntryProgress(entry: SyncEntryName, state: SyncProgress): void;
    post(msg: BroadcastChannelMessage): void;
}
export default BroadcastChannelSender;
